*+--------------------------------------------------------------------
*+
*+ Source Module => C:\hmg.3.4.4\0\CLICK\ERR_LOG.PRG
*+
*+    Copyright(C) 1983-2013 by Auge & Ohr
*+
*+    Functions: Procedure err_log()
*+
*+    Reformatted by Click! 2.05.15 on Dec-31-2019 at  4:45 am
*+
*+--------------------------------------------------------------------

#include "FILEIO.CH"

*+--------------------------------------------------------------------
*+
*+    Procedure err_log()
*+
*+    Called from ( click.prg    )  22 - procedure startclick()
*+
*+--------------------------------------------------------------------
*+
PROCEDURE err_log( cTheFile, cTheError )

LOCAL nHandle

   // writes text to the output file and creates the file if it is missing,
   // otherwise appends to the existing file.

   IF FILE( cTheFile )
      nHandle := FOPEN( cTheFile, 2 )
      FSEEK( nHandle, 0, FS_END )
   ELSE
      nHandle := FCREATE( cTheFile, 0 )
   ENDIF

   IF nHandle > - 1
      FWRITE( nHandle, cTheError + CHR( 13 ) + CHR( 10 ) )
      FCLOSE( nHandle )
   ENDIF

RETURN

*+ EOF: ERR_LOG.PRG
